import request from '@/utils/request'
import qs from 'qs'
import { baseUrl } from "../../../../config/baseUrl";
import {upcloud_base_common} from "@/config/serviceSettings";

export const api = {
  addItem: baseUrl + '/rqcHeaders/addWithRelated',
  taskSplit: baseUrl + '/rqcHeaders/taskSplit',
  doException: baseUrl + '/rqcHeaders/doException',
  getPreList: baseUrl + '/wmsInRqcSample/v1/get-prelist',
  batchAdd: baseUrl + '/wmsInRqcSample/v1/batchAdd',
  addSupervisionCode: baseUrl + '/supervisionCode/addSupervisionCode',
  findCodesByBill: baseUrl + '/supervisionCode/findCodesByBill',
  isSupervised: baseUrl + '/supervisionCode/isSupervised',
  getHostRqcResult:baseUrl+'/rqcHeaders/getHostRqcResult'
}


export function addItem(parameter) {
  return request({
    method: 'post',
    url: api.addItem,
    data: parameter
  })
}

export function taskSplit(parameter) {
  return request({
    method: 'post',
    url: api.taskSplit,
    data: parameter
  })
}

export function doException(parameter) {
  return request({
    method: 'post',
    url: api.doException,
    data: parameter
  })
}
//获取预抽样集合
export function getPreList(parameter) {
  return request({
    method: 'post',
    url: api.getPreList,
    data: parameter
  })
}
//抽检
export function batchAdd(parameter) {
  return request({
    method: 'post',
    url: api.batchAdd,
    data: parameter
  })
}
//扫描监管码
export function addSupervisionCode(parameter) {
  return request({
    method: 'post',
    url: api.addSupervisionCode,
    data: parameter
  })
}

// 获取已扫码监管码列表
export function findCodesByBill(parameter) {
  return request({
    method: 'get',
    url: api.findCodesByBill,
    contentType: 'x-www-form-urlencoded',
    params: parameter
  })
}
// 是否完成扫描监管码
export function isSupervised(parameter) {
  return request({
    method: 'post',
    url: api.isSupervised,
    data: parameter
  })
}
// 字典
export function getDicts(parameter) {
  return request({
    method: 'post',
    url: upcloud_base_common+'/dict/listbytype',
    params: parameter,
    replaceFields: {
      value: 'dictCode',
      label: 'dictName'
    }
  })
}

// 收货类型
export function getHostRqcResult(parameter) {
  return request({
    method: 'get',
    url: api.getHostRqcResult,
    contentType: 'x-www-form-urlencoded',
    params: parameter ,
    replaceFields: {
      value: 'dictCode',
      label: 'dictName'
    }
  })
}
